## class RowColumnLabel : public SimpleLabel

> row/column label class.

## Inheritance:

### Public Methods

  | RowColumnLabel (Grafport *g, CellVector *vector)
  virtual void | Draw ()
  CellVector* | GetVector ()

### Inherited from SimpleLabel:

### Public Fields

static const int MIN_TEXT_WIDTH
static const int MIN_TEXT_HEIGHT

### Public Methods

friend int operator==(const SimpleLabel &t1, const SimpleLabel &t2)
friend int Compare(SimpleLabel *r1, SimpleLabel *r2)
virtual void Undraw()
void DrawOutLine(const Point *c)
virtual void UpdatePosition(const Point *)
virtual void UpdateText(const string *)
void SetPosition(const Point *pt)
void SetText(const string *s)
void SetGrafport(Grafport *g)
void CalcSize()
bool HitText(int x, int y)
const Point* GetPosition() const
const Point* GetTopLeft() const
const string* GetText() const
int GetWidth() const
int GetHeight() const
XFont* GetFont() const
void SetFont(XFont *f)
virtual void UpdateFont(XFont *font)
int FontHeight() const

### Protected Methods

Grafport* GetGrafport() const

## Documentation

> row/column label class.

`RowColumnLabel(Grafport *g, CellVector *vector)`

`virtual void Draw()`

`CellVector* GetVector()`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de